SWebHdfs (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs, class: SWebHdfs

Package org.apache.hadoop.fs

# Class SWebHdfs

java.lang.Object
org.apache.hadoop.fs.AbstractFileSystem
org.apache.hadoop.fs.DelegateToFileSystem
org.apache.hadoop.fs.SWebHdfs

All Implemented Interfaces:
  `org.apache.hadoop.fs.PathCapabilities`

@Public @Evolving public class SWebHdfs extends org.apache.hadoop.fs.DelegateToFileSystem
AbstractFileSystem implementation for HDFS over the web (secure).

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `SCHEME`

  ### Fields inherited from class org.apache.hadoop.fs.DelegateToFileSystem

  `fsImpl`

  ### Fields inherited from class org.apache.hadoop.fs.AbstractFileSystem

  `statistics`

- ## Method Summary

  ### Methods inherited from class org.apache.hadoop.fs.DelegateToFileSystem

  `createInternal, createSymlink, delete, getCanonicalServiceName, getDelegationTokens, getFileBlockLocations, getFileChecksum, getFileLinkStatus, getFileStatus, getFsStatus, getFsStatus, getHomeDirectory, getInitialWorkingDirectory, getLinkTarget, getServerDefaults, getServerDefaults, getUriDefaultPort, hasPathCapability, listStatus, mkdir, open, openFileWithOptions, renameInternal, setOwner, setPermission, setReplication, setTimes, setVerifyChecksum, supportsSymlinks, truncate`

  ### Methods inherited from class org.apache.hadoop.fs.AbstractFileSystem

  `access, checkPath, checkScheme, clearStatistics, create, createFileSystem, createMultipartUploader, createSnapshot, deleteSnapshot, equals, get, getAclStatus, getAllStatistics, getAllStoragePolicies, getEnclosingRoot, getStatistics, getStatistics, getStoragePolicy, getUri, getUriPath, getXAttr, getXAttrs, getXAttrs, hashCode, isValidName, listCorruptFileBlocks, listLocatedStatus, listStatusIterator, listXAttrs, makeQualified, methodNotSupported, modifyAclEntries, msync, open, printStatistics, removeAcl, removeAclEntries, removeDefaultAcl, removeXAttr, rename, renameInternal, renameSnapshot, resolvePath, satisfyStoragePolicy, setAcl, setStoragePolicy, setXAttr, setXAttr, unsetStoragePolicy`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SCHEME

    public static final String SCHEME
    See Also:
      - Constant Field Values